Package edu.claflin.finder.algo.clustering.struct.walk_trap_struct

# Class HeapNodeWT

java.lang.Object
edu.claflin.finder.algo.clustering.struct.walk_trap_struct.HeapNodeWT

All Implemented Interfaces:
  `Comparable<HeapNodeWT>`

public class HeapNodeWT extends Object implements Comparable<HeapNodeWT>

Author:
  Cesar Martin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final double`
  `EPSILON`
  `private int`
  `index1`
  `private int`
  `index2`
  `private double`
  `sigma`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeapNodeWT(int ind1, int ind2, double sig)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(HeapNodeWT that)`
  `HeapNodeWT`
  `duplicate()`
  `boolean`
  `equals(Object o)`
  `int`
  `getIndex1()`
  `int`
  `getIndex2()`
  `double`
  `getValue()`
  `void`
  `setIndex1(int ind)`
  `void`
  `setIndex2(int ind)`
  `void`
  `setSigma(double nwsig)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### index1

    private int index1

  - ### index2

    private int index2

  - ### sigma

    private double sigma

  - ### EPSILON

    public static final double EPSILON
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HeapNodeWT

    public HeapNodeWT(int ind1, int ind2, double sig)

- ## Method Details

  - ### getIndex1

    public int getIndex1()

  - ### getIndex2

    public int getIndex2()

  - ### setIndex1

    public void setIndex1(int ind)

  - ### setIndex2

    public void setIndex2(int ind)

  - ### getValue

    public double getValue()

  - ### setSigma

    public void setSigma(double nwsig)

  - ### duplicate

    public HeapNodeWT duplicate()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(HeapNodeWT that)
    Specified by:
      `compareTo` in interface `Comparable<HeapNodeWT>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`